<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org" xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head>
    <title>TweetsAPI</title>
    <script type="text/javascript" th:src="@{/js/tweets.js}"></script>
    <link rel="stylesheet" href="/css/style.css">
</head>
<body>
    <h1 th:inline="text">Hello [[${#httpServletRequest.remoteUser}]]!</h1>
    <div class="flex-container">
        <div>
            <button onclick="getMyTweets()">My Tweets</button>
            <ul id="my-tweets"/>
        </div>
        <div>
            Tweet: <input type="text" id="tweet-input-id">
            <button onclick="postTweet()">Create tweets</button>
        </div>
        <div>
            <button onclick="getAllTweets()">All Tweets</button>
            <ul id="all-tweets"/>
        </div>
        <div>
            <form th:action="@{/logout}" method="post">
                <input type="submit" value="Sign Out"/>
            </form>
        </div>
    </div>
</body>
</html>